/*
 * ============================================================================
 * (C) Copyright IBM Corporation 2006, 2007, 2008.  All Rights Reserved.
 * 
 * You may only copy, modify, and distribute these samples internally.
 * These samples have not been tested under all conditions and are provided
 * to you by IBM without obligation of support of any kind.
 *
 * IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
 * CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
 * CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
 * NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
 * ============================================================================
 */

 
def onGET() {
	
	//	 get the timezone feed 
 	def timezone = [:]
    timezone = zero.atom.Atom.decode ("http://localhost:8080/resources/timezones", "feed")
 	
	def george = [:]
 	george.name = "George"
 	george.email = "me@george.net"
 	
 	def george_title = [:]
 	george_title.value = "George's Custom Time Zone Feed"
 	
 	def george_link = [:]
    george_link.href = "http://localhost:8080/george"
    
 	// create new feed elements
 	def george_feed = [:]
 	george_feed.title = george_title
 	george_feed.authors = [ george ]
  	george_feed.links = [ george_link ]
 	
  	// create new entry elements
 	george_feed.entries = timezone.entries
	george_feed.entries.each{ it.links +=  george_link }
	george_feed.entries.each{ it.authors =  george }
 	george_feed.entries.each{ it.content =  ['type': 'html', 'value' : "<small><strong>Time: </strong></small> <big>${it.content['value']}</big>".toString()   ] }

    request.view='atom'
    request.atom.output = george_feed
    render() 
        
}
